Bug 498586 - No overlay video adaptor in KMS
No overlay video adaptor in KMS
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
11
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Jérôme Glisse
Fedora Extras Quality Assurance
:
: 498830 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-01 06:46 EDT by Miro Hadzhiev
Modified: 2010-05-18 11:24 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-18 11:24:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg Log file. (40.24 KB, text/plain)
2009-05-01 07:24 EDT, Miro Hadzhiev
no flags Details
'xvinfo' output (1.32 KB, text/plain)
2009-06-13 03:46 EDT, Miro Hadzhiev
no flags Details
here is my Xorg log (43.04 KB, text/plain)
2009-11-08 11:18 EST, Igor Mammedov
no flags Details

  None (edit)
Description Miro Hadzhiev 2009-05-01 06:46:43 EDT
Description of problem:
There is flickering when playing video files. I'm using XVideo Extension by default. Actually i've never seen any flickering with the open-source radeon driver since version 6 emerged.

I also noticed something else... The gtkperf test is a little slower on FC11 than in most part of the other distributions (Ubuntu 9.04, openSUSE 11.1, Mandriva 2009.1). The result is approximately: 
8 sec under fc11
5 sec under ubuntu 9.04
4.5 sec under opensuse

The configuration is by defaults.
The most significant difference is the GtkDrawingArea - Text - time:  2.52, which is 3 times slower under fc11. 

Version-Release number of selected component (if applicable):
6.12.2

How reproducible:
Just playing video files with vlc player.

Steps to Reproduce:
1.
2.
3.
  
Actual results:
Flickering.

Expected results:


Additional info:
Comment 1 Yanko Kaneti 2009-05-01 07:04:16 EDT
This should be under xorg-x11-drv-ati. There are two different issues( the video flicker, and the gtkperf performance) its best if they are split in two different reports. In any case please attach your Xorg log (/var/log/Xorg.0.log)
Comment 2 Miro Hadzhiev 2009-05-01 07:24:20 EDT
Created attachment 342077 [details]
Xorg Log file.
Comment 3 Adam Pribyl 2009-05-14 02:16:49 EDT
Dupe of bug #493541 ?
Comment 4 Adam Jackson 2009-05-15 16:56:05 EDT
Run 'xvinfo' to be sure, but I believe only the textured video adaptor is enabled for KMS configurations atm, which does not have vsync support.
Comment 5 Adam Jackson 2009-05-15 16:56:24 EDT
*** Bug 498830 has been marked as a duplicate of this bug. ***
Comment 6 Bug Zapper 2009-06-09 10:55:49 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Miro Hadzhiev 2009-06-11 03:34:32 EDT
Yes, sorry. It's Leonidas (Fefora 11, yes), not Rawhide. My mistake!
Comment 8 Miro Hadzhiev 2009-06-13 03:46:05 EDT
Created attachment 347719 [details]
'xvinfo' output
Comment 9 Miro Hadzhiev 2009-06-17 10:07:22 EDT
Is this problem going to be solved soon, guys?

Because I watch lots of movies and it's really irritating me.
I will downgrade to Fedora 10, if it's going to take long time.
Thanks and sorry for the off-topic.
Comment 10 Jérôme Glisse 2009-10-15 10:42:45 EDT
We are working on improved video decoding for r3xx and newer chipset which will work with kms. You should also have textured video output with fedora 12 which should hopefully be sufficient for you need in the meantime. You can test livecd from http://alt.fedoraproject.org/pub/alt/nightly-composes/desktop/ and report if it helps with your video playback issue.
Comment 11 Matěj Cepl 2009-11-05 13:28:07 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 12 Igor Mammedov 2009-11-08 11:16:54 EST
Upgraded to "*-updates-testing" and problem is still exists.
Flickering and horizontal tearing are the same as before update.
Comment 13 Igor Mammedov 2009-11-08 11:18:53 EST
Created attachment 368046 [details]
here is my Xorg log
Comment 14 Miro Hadzhiev 2009-11-19 05:56:52 EST
And there is heavy flickering with Flash-based clips in Firefox.

Playing local video files (Xv enabled) gives only horizontal tearing (I think that there is no real flickering but I can not assure you 100 %).

Amd Mobility X1600 (rv515) in use.
Comment 15 Miro Hadzhiev 2009-11-19 07:36:06 EST
Yes, there is horizontal tearing. And yes, there is no flickering (I DO think that tearing and flickering are NOT absolutely the same thing).
Comment 16 Igor Mammedov 2009-11-20 10:05:39 EST
Upgraded to FC12 and there is no tearing with Xv anymore (tested with mplayer and vlc). Thanks for fixing it. 

However there is flickering (at least I think that it is flickering) when playing flash based clips in Firefox with Adobe plugin.
Comment 17 Bug Zapper 2010-04-27 10:02:44 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 18 Adam Pribyl 2010-05-18 11:24:12 EDT
I am using F12 and do not see any problems with tearing etc in F12. Closing - feel free to reopen.

Note You need to log in before you can comment on or make changes to this bug.